Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.consumer.management.common
Enum ProxyResourceContext.ProxyResourceAction

    java.lang.Object
      java.lang.Enum<ProxyResourceContext.ProxyResourceAction>
          com.bea.wsrp.consumer.management.common.ProxyResourceContext.ProxyResourceAction

All Implemented Interfaces
  Serializable, Comparable<ProxyResourceContext.ProxyResourceAction>

Enclosing class:
  ProxyResourceContext

    public static enum ProxyResourceContext.ProxyResourceAction

extends Enum<ProxyResourceContext.ProxyResourceAction>

Defines options to use when managing a proxy resource. ACCEPT_LOCAL_PROXY_RESOURCE - accepts the local version of a proxy resource if one already exists ACCEPT_REMOTE_PROXY_RESOURCE - accepts the remote version of a proxy resource - may lead to an exception being thrown to the effect that the resource is in use ACCEPT_REMOTE_PROXY_RESOURCE_FORCE - behaves similar to ACCEPT_REMOTE_PROXY_RESOURCE except removes a local resource if one exists and puts the remote resource in its place CREATE_NEW_PROXY_RESOURCE - creates a new version of the proxy resource even if one already exists

Enum Constant Summary
`ACCEPT_LOCAL_PROXY_RESOURCE`
`ACCEPT_REMOTE_PROXY_RESOURCE`
`ACCEPT_REMOTE_PROXY_RESOURCE_FORCE`
`CREATE_NEW_PROXY_RESOURCE`

Method Summary
`static ProxyResourceContext.ProxyResourceAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProxyResourceContext.ProxyResourceAction[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCEPT_LOCAL_PROXY_RESOURCE

    public static final ProxyResourceContext.ProxyResourceAction ACCEPT_LOCAL_PROXY_RESOURCE

### ACCEPT_REMOTE_PROXY_RESOURCE

    public static final ProxyResourceContext.ProxyResourceAction ACCEPT_REMOTE_PROXY_RESOURCE

### ACCEPT_REMOTE_PROXY_RESOURCE_FORCE

    public static final ProxyResourceContext.ProxyResourceAction ACCEPT_REMOTE_PROXY_RESOURCE_FORCE

### CREATE_NEW_PROXY_RESOURCE

    public static final ProxyResourceContext.ProxyResourceAction CREATE_NEW_PROXY_RESOURCE

Method Detail

### values

    public static final ProxyResourceContext.ProxyResourceAction[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ProxyResourceContext.ProxyResourceAction valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved